function patterns = hopfield_patterns(pattern_set_name)
  __mfile_encoding__ ("utf-8");
  if nargin < 1 || isempty(pattern_set_name)
    pattern_set_name    = "10-inv";
    show_orthogonality  = true;
  else
    show_orthogonality  = false;
  endif
  patterns = {};

  if strcmp(pattern_set_name, "3-test")
    patterns{end + 1}  = [0 0 1 0 0; ...
                          0 1 0 1 0; ...
                          1 0 0 0 1; ...
                          1 1 1 1 1; ...
                          1 0 0 0 1; ...
                          1 0 0 0 1; ...
                          1 0 0 0 1];
    patterns{end + 1}  = [1 1 1 1 0; ...
                          1 0 0 0 1; ...
                          1 0 0 0 1; ...
                          1 1 1 1 0; ...
                          1 0 0 0 1; ...
                          1 0 0 0 1; ...
                          1 1 1 1 0];
    patterns{end + 1}  = [1 1 1 1 1; ...
                          1 0 0 0 0; ...
                          1 0 0 0 0; ...
                          1 0 0 0 0; ...
                          1 0 0 0 0; ...
                          1 0 0 0 0; ...
                          1 1 1 1 1];
    % patterns{end + 1}  = [0 0 0 0 1; ...
    %                       0 0 1 1 1; ...
    %                       1 1 0 0 1; ...
    %                       0 0 0 0 1; ...
    %                       0 0 0 0 1; ...
    %                       0 0 0 0 1; ...
    %                       0 0 0 0 1];
  elseif strcmp(pattern_set_name, "10-test")
    patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1 ; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1 ; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1 ; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1 ; ...
    %                       1 1 0 0 1 1 1 1 1 0 0 1 1 ; ...
    %                       1 1 0 0 1 1 1 1 1 0 0 1 1 ; ...
    %                       1 1 0 0 1 1 1 1 1 0 0 1 1 ; ...
    %                       1 1 0 0 1 1 1 1 1 0 0 1 1 ; ...
    %                       1 1 0 0 1 1 1 1 1 0 0 1 1 ; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1 ; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1 ; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1 ; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1 ];
    % patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0];
    % patterns{end + 1}  = [1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 0 1 1 1 1 1 1];
    % patterns{end + 1}  = [0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0];
    % patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 1 1 1 1 1 1 1 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 1 1 1 1 1 1 1 1 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 1 0 0 0 0 0 0 0 1 0 0; ...
    %                       0 0 1 0 0 0 0 0 0 0 1 0 0; ...
    %                       0 0 1 0 0 0 0 0 0 0 1 0 0; ...
    %                       0 0 1 0 0 0 0 0 0 0 1 0 0; ...
    %                       0 0 1 0 0 0 0 0 0 0 1 0 0; ...
    %                       0 0 1 0 0 0 0 0 0 0 1 0 0; ...
    %                       0 0 1 0 0 0 0 0 0 0 1 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 1 1 1 1 1 1 1 0 0 0; ...
    %                       0 0 0 1 0 0 0 0 0 1 0 0 0; ...
    %                       0 0 0 1 0 0 0 0 0 1 0 0 0; ...
    %                       0 0 0 1 0 0 0 0 0 1 0 0 0; ...
    %                       0 0 0 1 0 0 0 0 0 1 0 0 0; ...
    %                       0 0 0 1 0 0 0 0 0 1 0 0 0; ...
    %                       0 0 0 1 1 1 1 1 1 1 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 1 0 0 0 1 0 0 0 0; ...
    %                       0 0 0 0 1 0 0 0 1 0 0 0 0; ...
    %                       0 0 0 0 1 0 0 0 1 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 0 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 1 1 1 0 0 0 1 1 1 0 0; ...
                          0 0 1 1 1 0 0 0 1 1 1 0 0; ...
                          0 0 1 1 1 0 0 0 1 1 1 0 0; ...
                          0 0 1 1 1 0 0 0 1 1 1 0 0];
    patterns{end + 1}  = [0 0 1 1 1 0 0 0 1 1 1 0 0; ...
                          0 0 1 1 1 0 0 0 1 1 1 0 0; ...
                          0 0 1 1 1 0 0 0 1 1 1 0 0; ...
                          0 0 1 1 1 0 0 0 1 1 1 0 0; ....
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 0 1 1 0 0 0 0 0 0 0; ...
                          0 0 0 0 1 1 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 0 0 0 0 0 0 0; ...
                          0 0 0 0 1 1 0 0 0 0 0 0 0; ...
                          0 0 0 0 1 1 0 0 0 0 0 0 0; ...
                          0 0 0 0 1 1 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 0 0 0 0 0 0 0; ...
                          0 0 0 0 1 1 0 0 0 0 0 0 0; ...
                          0 0 0 0 1 1 0 0 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 0 0 0 0 1 1 0 0 0 0; ...
                          0 0 0 0 0 0 0 1 1 0 0 0 0; ...
                          0 0 0 0 0 0 0 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 1 1 0 0 0 0; ...
                          0 0 0 0 0 0 0 1 1 0 0 0 0; ...
                          0 0 0 0 0 0 0 1 1 0 0 0 0; ...
                          0 0 0 0 0 0 0 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 1 1 0 0 0 0; ...
                          0 0 0 0 0 0 0 1 1 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 1 1 1 0 0; ...
    %                       0 0 0 0 0 0 0 1 1 1 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 1 1 1 0 0 0 0 0 0 0; ...
    %                       0 0 1 1 1 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [1 1 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 1 1 1 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 1 1 1 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 1 1 1 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 1 1 1 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 1 1];
    % patterns{end + 1}  = [0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 0 1 1 0 0 0 0; ...
    %                       0 0 0 1 1 0 0 0 1 1 0 0 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 1 1 0 0 0 0 0 0 0 1 1 0; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1; ...
    %                       1 0 0 0 0 0 0 0 0 0 0 0 1; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1; ...
    %                       0 1 1 0 0 0 0 0 0 0 1 1 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 0 0 1 1 0 0 0 1 1 0 0 0; ...
    %                       0 0 0 0 1 1 0 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0];
    patterns{end + 1}  = [0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 1 0 0 0 0; ...
    %                       0 1 1 1 1 1 1 1 1 0 0 0 0; ...
    %                       0 1 1 1 1 1 1 1 1 0 0 0 0; ...
    %                       0 1 1 1 1 1 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 1 1 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 1 1 1 1 1 0; ...
    %                       0 0 0 0 1 1 1 1 1 1 1 1 0; ...
    %                       0 0 0 0 1 1 1 1 1 1 1 1 0; ...
    %                       0 0 0 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 1 1 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 1 1 1 0 0; ...
    %                       0 0 0 0 0 0 0 1 1 1 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 1 1 1 0 0 0 0 0 0 0; ...
    %                       0 0 1 1 1 0 0 0 0 0 0 0 0; ...
    %                       0 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [1 1 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 1 0 0 0 0 0 0 0 0; ...
    %                       1 1 0 1 1 1 0 0 0 0 0 0 0; ...
    %                       1 1 0 0 1 1 1 0 0 0 0 0 0; ...
    %                       1 1 0 0 0 1 1 1 0 0 0 0 0; ...
    %                       1 1 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       1 1 0 0 0 0 0 1 1 1 0 0 0; ...
    %                       1 1 0 0 0 0 0 0 1 1 1 0 0; ...
    %                       1 1 0 0 0 0 0 0 0 1 1 1 0; ...
    %                       1 1 0 0 0 0 0 0 0 0 1 1 1; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1;];
    % patterns{end + 1}  = [1 0 1 0 1 0 1 0 1 0 1 0 1; ...
    %                       0 1 0 1 0 1 0 1 0 1 0 1 0; ...
    %                       1 0 1 0 1 0 1 0 1 0 1 0 1; ...
    %                       0 1 0 1 0 1 0 1 0 1 0 1 0; ...
    %                       1 0 1 0 1 0 1 0 1 0 1 0 1; ...
    %                       0 1 0 1 0 1 0 1 0 1 0 1 0; ...
    %                       1 0 1 0 1 0 1 0 1 0 1 0 1; ...
    %                       0 1 0 1 0 1 0 1 0 1 0 1 0; ...
    %                       1 0 1 0 1 0 1 0 1 0 1 0 1; ...
    %                       0 1 0 1 0 1 0 1 0 1 0 1 0; ...
    %                       1 0 1 0 1 0 1 0 1 0 1 0 1; ...
    %                       0 1 0 1 0 1 0 1 0 1 0 1 0; ...
    %                       1 0 1 0 1 0 1 0 1 0 1 0 1];
    % patterns{end + 1}  = [1 0 1 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 1 0 1 0 1 0 0 0 0 0 0 0; ...
    %                       1 0 1 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 1 0 1 0 1 0 0 0 0 0 0 0; ...
    %                       1 0 1 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 1 0 1 0 1 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 1 0 1 0 1; ...
    %                       0 0 0 0 0 0 0 1 0 1 0 1 0; ...
    %                       0 0 0 0 0 0 0 0 1 0 1 0 1; ...
    %                       0 0 0 0 0 0 0 1 0 1 0 1 0; ...
    %                       0 0 0 0 0 0 0 0 1 0 1 0 1; ...
    %                       0 0 0 0 0 0 0 1 0 1 0 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 1 0 1 0 1 0 0 0 0 0 0 0; ...
    %                       1 0 1 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 1 0 1 0 1 0 0 0 0 0 0 0; ...
    %                       1 0 1 0 1 0 0 0 0 0 0 0 0; ...
    %                       0 1 0 1 0 1 0 0 0 0 0 0 0; ...
    %                       1 0 1 0 1 0 0 0 0 0 0 0 0];
    patterns{end + 1}  = [1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1];
    % patterns{end + 1}  = [0 0 0 0 0 1 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 1 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 0 1 1 0 0 0; ...
    %                       0 0 1 1 1 0 0 0 0 1 0 0 0; ...
    %                       1 1 1 0 0 0 0 0 0 1 1 0 0; ...
    %                       1 0 0 0 0 0 0 0 0 0 1 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 1 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 1 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 1 1];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 1 1 1 1 1 0 0 0 0; ...
    %                       0 0 0 1 1 1 1 1 1 1 0 0 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 1 1 0 0 0 0 0 0 0 1 1 0; ...
    %                       0 1 1 0 0 0 1 0 0 0 1 1 0; ...
    %                       0 1 1 0 0 1 1 1 0 0 1 1 0; ...
    %                       0 1 1 0 0 0 1 0 0 0 1 1 0; ...
    %                       0 1 1 0 0 0 0 0 0 0 1 1 0; ...
    %                       0 0 1 1 0 0 0 0 0 1 1 0 0; ...
    %                       0 0 0 1 1 1 1 1 1 1 0 0 0; ...
    %                       0 0 0 0 1 1 1 1 1 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       1 1 1 1 1 1 1 1 1 1 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 1 1 1 1; ...
                          0 0 0 0 0 0 0 1 1 1 1 1 1; ...
                          0 0 0 0 0 1 1 1 1 0 0 1 1; ...
                          0 0 0 1 1 1 1 0 0 0 0 1 1; ...
                          0 1 1 1 1 0 0 0 0 0 0 1 1; ...
                          1 1 1 0 0 0 0 0 0 0 0 1 1; ...
                          1 0 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 1 1];
    patterns{end + 1}  = [0 0 0 0 1 1 1 1 1 0 0 0 0; ...
                          0 0 1 1 1 1 1 1 1 1 1 0 0; ...
                          1 1 1 1 0 0 0 0 0 1 1 1 1; ...
                          1 1 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 1 1; ...
                          0 0 0 0 0 0 0 0 0 1 1 1 0; ...
                          0 0 0 0 0 0 0 1 1 1 0 0 0; ...
                          0 0 0 0 0 1 1 1 0 0 0 0 0; ...
                          0 0 0 1 1 1 0 0 0 0 0 0 0; ...
                          0 1 1 1 0 0 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1];
    % patterns{end + 1}  = [0 0 0 0 1 1 1 1 1 0 0 0 0; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       1 1 1 1 0 0 0 0 0 1 1 1 1; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 1; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 1 1 1 1; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 1 1; ...
    %                       1 1 0 0 0 0 0 0 0 0 0 1 1; ...
    %                       1 1 1 1 0 0 0 0 0 1 1 1 1; ...
    %                       0 0 1 1 1 1 1 1 1 1 1 0 0; ...
    %                       0 0 0 0 1 1 1 1 1 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
    % patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0; ...
    %                       0 0 0 0 0 0 0 0 0 0 0 0 0];
  elseif strcmp(pattern_set_name, "10-inv")
    patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1];
    patterns{end + 1}  = [1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1];
    patterns{end + 1}  = [0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1];
    patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1];
    patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1];
    patterns{end + 1}  = [1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          1 1 1 1 1 1 1 1 1 1 1 1 1; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0; ...
                          0 0 0 0 0 0 0 0 0 0 0 0 0];
    patterns{end + 1}  = [0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          1 1 1 0 0 0 1 0 0 0 1 1 1; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0; ...
                          0 0 0 1 1 1 0 1 1 1 0 0 0];
  elseif strcmp(pattern_set_name, "10-gen")
    patterns{end + 1} = [0 0 0 1 0 1 0 1 1 1 0 1 0; ...
                         1 1 0 0 0 0 0 1 0 1 1 0 0; ...
                         0 0 1 1 1 1 1 1 0 0 1 1 0; ...
                         1 1 1 0 1 1 0 0 0 1 0 0 0; ...
                         1 1 0 1 1 0 0 1 1 1 1 0 0; ...
                         0 0 1 1 1 0 0 1 0 1 0 1 0; ...
                         0 0 0 1 1 1 0 1 0 1 1 0 1; ...
                         0 0 0 1 0 0 1 1 0 0 0 1 0; ...
                         0 0 0 1 0 1 0 0 1 0 1 0 1; ...
                         0 1 1 1 1 1 0 0 0 1 1 1 0; ...
                         0 1 0 0 0 1 0 1 1 1 1 0 0; ...
                         1 0 1 0 0 0 1 0 0 0 1 0 1; ...
                         0 0 0 1 1 0 1 1 0 0 1 1 0];
    patterns{end + 1} = [1 1 0 1 0 0 1 1 0 1 1 1 0; ...
                         1 0 0 1 0 1 0 0 0 0 0 1 1; ...
                         1 0 0 1 1 0 1 1 1 1 0 0 0; ...
                         1 1 0 0 1 0 1 1 0 1 0 0 0; ...
                         1 0 1 0 0 0 0 0 0 0 1 1 0; ...
                         1 1 0 0 0 1 1 1 1 0 0 0 1; ...
                         0 1 1 1 0 1 0 1 0 1 0 0 0; ...
                         1 1 0 0 0 1 0 0 0 0 1 1 0; ...
                         1 1 1 0 1 0 1 0 1 0 0 1 1; ...
                         1 0 1 1 1 0 0 0 1 0 0 1 0; ...
                         0 1 0 1 1 1 0 1 1 1 0 0 0; ...
                         0 0 0 0 0 0 1 1 0 0 0 0 0; ...
                         0 0 1 0 0 0 1 1 1 0 0 1 1];
    patterns{end + 1} = [1 0 1 1 0 1 0 0 1 1 1 0 1; ...
                         0 1 1 0 0 0 0 1 1 0 0 1 1; ...
                         0 0 1 0 1 0 0 1 1 1 1 0 0; ...
                         0 1 0 1 0 0 0 1 1 1 1 1 0; ...
                         1 0 1 1 1 0 0 0 1 0 1 1 0; ...
                         1 1 1 1 0 1 0 0 0 0 1 0 0; ...
                         0 1 1 1 1 1 0 0 1 1 1 0 0; ...
                         0 0 0 1 0 1 1 1 1 1 0 0 1; ...
                         1 0 1 1 1 1 0 1 1 1 1 1 1; ...
                         1 0 1 0 1 0 1 1 0 0 1 1 1; ...
                         1 0 1 0 1 1 0 0 0 0 1 0 0; ...
                         1 0 0 0 1 1 0 0 0 0 0 0 0; ...
                         0 1 1 0 0 1 0 1 0 1 1 1 1];
    patterns{end + 1} = [0 1 0 1 1 1 1 0 0 1 1 1 1; ...
                         1 1 1 0 0 1 1 0 0 1 1 0 0; ...
                         1 0 1 0 0 0 0 1 0 0 1 1 0; ...
                         1 0 0 1 0 1 0 0 0 1 1 0 1; ...
                         1 1 1 0 0 1 0 0 1 0 0 1 0; ...
                         1 0 0 0 1 1 1 0 1 0 1 0 0; ...
                         1 0 1 1 1 0 0 1 1 1 0 0 1; ...
                         1 0 0 0 1 1 1 0 0 0 0 0 0; ...
                         1 1 0 0 1 0 1 0 0 0 1 0 0; ...
                         0 1 0 1 0 0 0 1 0 1 1 0 1; ...
                         0 0 0 0 0 0 0 0 0 1 0 0 0; ...
                         1 0 1 0 1 1 1 0 1 1 0 0 0; ...
                         1 0 0 0 1 1 0 1 1 1 0 1 1];
    patterns{end + 1} = [0 0 1 0 0 1 1 0 1 1 1 0 1; ...
                         0 1 1 0 0 1 1 0 1 1 0 0 1; ...
                         1 1 0 1 1 0 0 1 1 1 0 1 0; ...
                         0 1 1 1 0 1 0 1 0 0 0 1 1; ...
                         0 0 0 1 0 1 1 1 0 0 0 1 0; ...
                         0 1 1 1 0 0 1 1 0 0 1 0 1; ...
                         0 1 1 0 0 1 0 1 1 1 1 1 1; ...
                         0 0 1 0 1 1 0 1 1 1 0 1 0; ...
                         0 1 0 0 0 1 1 0 0 0 1 0 1; ...
                         1 0 1 1 1 0 0 0 1 1 1 0 0; ...
                         0 0 0 1 0 1 1 1 1 1 0 1 0; ...
                         1 1 1 0 1 0 1 1 0 1 1 0 1; ...
                         1 1 0 1 0 1 1 1 0 1 0 0 0];
    patterns{end + 1} = [0 0 0 1 0 0 0 0 1 0 1 1 0; ...
                         0 1 0 0 1 1 1 0 0 1 0 0 1; ...
                         1 0 1 0 1 1 1 0 0 0 1 0 1; ...
                         0 0 0 1 0 1 1 0 1 1 0 0 0; ...
                         0 0 0 0 1 0 1 1 0 1 0 1 1; ...
                         1 0 0 0 1 1 1 1 0 1 1 0 1; ...
                         0 0 0 1 0 1 1 0 0 0 0 0 1; ...
                         0 0 0 0 0 0 0 1 1 1 0 0 1; ...
                         0 1 0 1 1 0 1 1 0 1 1 0 1; ...
                         1 0 1 1 0 1 1 0 1 1 0 1 1; ...
                         1 0 0 1 0 0 0 1 0 0 1 0 0; ...
                         0 0 0 0 0 1 1 0 0 1 0 0 1; ...
                         0 1 0 0 0 1 1 1 0 1 0 0 1];
    patterns{end + 1} = [0 1 0 0 1 1 0 1 1 0 1 1 1; ...
                         1 0 0 0 0 0 0 1 0 1 0 0 1; ...
                         0 0 1 0 0 1 1 1 1 0 1 0 1; ...
                         1 0 1 1 0 1 1 1 0 0 0 0 0; ...
                         1 1 1 0 0 1 1 0 1 1 1 1 0; ...
                         1 0 1 0 1 1 0 0 0 0 1 0 1; ...
                         1 1 1 1 0 0 0 0 1 0 1 1 0; ...
                         0 1 1 1 0 0 0 0 1 0 1 1 1; ...
                         1 0 0 1 1 1 1 0 1 1 0 0 1; ...
                         1 1 0 1 0 0 0 1 1 0 1 0 1; ...
                         1 1 0 1 0 1 0 1 1 1 0 1 1; ...
                         1 1 0 0 1 0 0 0 0 1 1 1 1; ...
                         0 1 1 1 0 0 0 0 0 1 0 1 0];
    patterns{end + 1} = [1 0 1 0 0 0 1 0 0 0 0 0 1; ...
                         1 1 0 1 1 0 1 0 0 0 1 0 1; ...
                         1 0 1 1 1 1 0 1 1 0 1 0 1; ...
                         1 1 1 1 0 0 0 0 0 1 0 1 0; ...
                         1 1 0 0 0 1 0 0 1 0 0 0 0; ...
                         0 1 0 0 0 0 1 1 1 1 0 1 0; ...
                         1 0 0 1 0 0 1 1 1 0 1 1 0; ...
                         0 1 1 0 0 1 0 1 0 0 0 0 1; ...
                         0 0 1 0 0 1 1 0 1 1 0 0 0; ...
                         1 1 0 0 1 0 1 1 1 0 0 0 1; ...
                         0 0 1 0 1 0 1 1 1 0 1 0 0; ...
                         1 0 0 0 1 1 1 0 0 0 1 0 1; ...
                         0 0 1 0 1 1 0 1 0 1 0 0 0];
    patterns{end + 1} = [1 0 0 0 0 1 0 0 1 0 0 1 1; ...
                         1 1 0 0 1 0 1 0 0 1 0 1 1; ...
                         0 1 1 1 0 0 0 0 1 0 0 0 1; ...
                         0 1 0 1 1 0 1 1 0 1 1 0 0; ...
                         0 1 0 1 1 0 0 0 1 0 1 1 1; ...
                         0 0 0 1 1 0 1 0 0 0 0 0 0; ...
                         0 0 1 0 1 0 0 1 1 0 1 0 1; ...
                         0 0 1 0 1 0 0 0 0 1 1 1 0; ...
                         1 1 1 1 0 1 1 0 0 1 0 1 0; ...
                         0 1 1 0 0 1 0 0 1 1 0 0 0; ...
                         1 1 1 1 0 1 1 0 0 0 0 0 1; ...
                         1 0 0 0 1 1 1 1 1 0 1 0 1; ...
                         1 1 1 0 0 0 1 1 1 0 1 1 1];
    patterns{end + 1} = [0 1 1 0 1 0 0 0 0 1 1 1 1; ...
                         1 0 0 1 0 1 1 0 1 1 0 0 0; ...
                         0 1 1 1 1 1 1 0 1 1 0 0 0; ...
                         0 0 0 0 0 1 0 0 1 1 1 0 0; ...
                         0 1 1 0 0 0 0 1 1 0 1 0 0; ...
                         0 1 1 1 0 1 0 1 0 1 0 0 0; ...
                         1 1 0 1 1 0 0 1 1 1 0 1 0; ...
                         1 1 0 0 0 0 0 1 1 1 0 1 0; ...
                         0 0 1 0 0 1 0 0 0 1 0 1 1; ...
                         1 0 0 0 0 1 1 1 1 1 0 0 0; ...
                         1 1 0 1 0 0 0 1 0 0 0 0 1; ...
                         0 0 1 0 1 1 1 1 0 1 1 1 0; ...
                         0 0 0 1 1 1 0 0 0 0 1 1 1];
  endif

  if show_orthogonality
    hopfield_net.show_patterns(patterns, 1);
    hopfield_net.show_orthogonality(patterns, 2);
    waitfor(gcf);
  endif
  % exit;
endfunction
